# Interface Documented

All Known Subinterfaces:
  `DocumentedIOHandler`

All Known Implementing Classes:
  `AbstractTextTableWriter, AsciiTableBuilder, AsciiTableWriter, ClassTableScheme, CsvTableBuilder, CsvTableWriter, DocumentedStreamStarTableWriter, DocumentedTableBuilder, HTMLTableWriter, IpacTableBuilder, IpacTableWriter, JDBCTableScheme, LatexTableWriter, LoopTableScheme, MrtTableBuilder, RowEvaluatorTableBuilder, TestTableScheme, TextTableWriter, TstTableBuilder, TstTableWriter, WDCTableBuilder`

public interface Documented
Mixin interface that provides extended user documentation for an object.

Since:
  4 Sep 2020
Author:
  Mark Taylor

## Method Summary

Modifier and Type
Method
Description
`String`
`getXmlDescription()`
Returns user-directed documentation in XML format.

## Method Details

### getXmlDescription

String getXmlDescription()
Returns user-directed documentation in XML format.

The output should be a sequence of one or more <P> elements, using XHTML-like XML. Since rendering may be done in a number of contexts however, use of the full range of XHTML elements is discouraged. Where possible, the content should stick to simple markup such as the elements P, A, UL, OL, LI, DL, DT, DD EM, STRONG, I, B, CODE, TT, PRE.

Returns:
  XML description of this object